// GET COOKIES
module.exports = function(req) {
    const cookieHeader = req.headers.cookie;

    if (cookieHeader) {
        // Разбиваем строку Cookie на массив кук, разделенных "; "
        const cookieArray = cookieHeader.split('; ');

        // Создаем объект, чтобы хранить куки
        const cookies = {};

        // Парсим каждую куку и добавляем ее в объект cookies
        cookieArray.forEach(cookie => {
            const [name, value] = cookie.split('=');
            cookies[name] = value;
        });   
    
        return cookies;
        
    } else return false;
}